Jikes (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.compilers, class: Jikes

Package org.apache.tools.ant.taskdefs.compilers

# Class Jikes

java.lang.Object
org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
org.apache.tools.ant.taskdefs.compilers.Jikes

All Implemented Interfaces:
  `CompilerAdapter`, `CompilerAdapterExtension`

public class Jikes extends DefaultCompilerAdapter
The implementation of the jikes compiler. This is primarily a cut-and-paste from the original javac task before it was refactored.

Since:
  Ant 1.3

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

  `attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, modulepath, moduleSourcepath, optimize, project, release, src, target, upgrademodulepath, verbose`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Jikes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `execute()`
  Performs a compile using the Jikes compiler from IBM.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

  `addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava1_1Plus, assumeJava1_2Plus, assumeJava1_3Plus, assumeJava1_4Plus, assumeJava1_5Plus, assumeJava1_6Plus, assumeJava1_7Plus, assumeJava1_8Plus, assumeJava10Plus, assumeJava11, assumeJava12, assumeJava13, assumeJava14, assumeJava15, assumeJava16, assumeJava17, assumeJava18, assumeJava19, assumeJava9, assumeJava9Plus, executeExternalCompile, executeExternalCompile, getBootClassPath, getCompileClasspath, getJavac, getModulepath, getModulesourcepath, getNoDebugArgument, getProject, getSupportedFileExtensions, getUpgrademodulepath, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Jikes

    public Jikes()

- ## Method Details

  - ### execute

    public boolean execute() throws BuildException
    Performs a compile using the Jikes compiler from IBM. Mostly of this code is identical to doClassicCompile() However, it does not support all options like extdirs, deprecation and so on, because there is no option in jikes and I don't understand what they should do. It has been successfully tested with jikes >1.10.
    Returns:
      true if the compilation succeeded
    Throws:
      `BuildException` - on error